Логотип   Простое и понятное управление
  Уникальные возможности по настройке
  Open Server скачали уже 1 017 713 раз!

Форум

Добро пожаловать, Гость!

Zend Optimizer not installed

Вопросы по работе с Apache, Nginx, PHP, MySQL, Sendmail и т.д.
useruser
Сообщения: 2
C нами: 1 год 7 мес

Непрочитанное сообщение useruser » 07 апр 2015, 08:03

Закодировал скрипты Zend Guard - 5.0.1.
Запустил на open server.
Пишет - Zend Optimizer not installed
This file was encoded by the Zend Guard. In order to run it, please install the Zend Optimizer (available without charge), version 3.0.0 or later.

Поискал в настройках open server (http php mysql) не нашел настройки - Zend Optimizer.
На главной странице написано, что в open server входит модуль Zend Optimizer 3.3.3.
У меня требует версию 3 или выше.
В чём ошибка?

vasya_pupkin
Сообщения: 57
C нами: 4 года 5 мес

Непрочитанное сообщение vasya_pupkin » 07 апр 2015, 11:14

Zend Optimizer только для PHP 5.2.x
Для PHP 5.3+ - Zend Loader. Более того, для "Non Thread Safe" версии.

useruser
Сообщения: 2
C нами: 1 год 7 мес

Непрочитанное сообщение useruser » 07 апр 2015, 11:46

vasya_pupkin писал(а):Для PHP 5.3+ - Zend Loader.

Он включен (установлен) в open server?

vasya_pupkin
Сообщения: 57
C нами: 4 года 5 мес

Непрочитанное сообщение vasya_pupkin » 07 апр 2015, 12:13

Нет, т.к. в Open Server "Thread Safe" версия PHP.

[upd=1428398136][/upd]
Т.к. ты кодировал файлы Zend Guard - 5.0.1, то тебе нужен именно Zend Optimizer, который есть в OS, для версии PHP 5.2.17


Вернуться в «Модули и инструменты»

Кто сейчас на конференции

Сейчас этот форум просматривают: нет зарегистрированных пользователей и 0 гостей